import { BasicColumn, FormSchema } from '@/components/Table';
import { DescItem } from '@/components/Description';

export const columns: BasicColumn[] = [
  {
    title: ' ',
    dataIndex: 'name',
    width: 120,
  },
  // {
  //   title: '插件状态',
  //   dataIndex: 'status',
  //   width: 120,
  // },
];
export const columnsRight: BasicColumn[] = [
  {
    title: '数据源',
    dataIndex: 'source',
    width: 120,
  },
  {
    title: '目录',
    dataIndex: 'catalog',
    width: 120,
  },
  {
    title: '数据库',
    dataIndex: 'database',
    width: 120,
  },
  {
    title: '数据表',
    dataIndex: 'table',
    width: 120,
  },
  {
    title: '字段',
    dataIndex: 'field',
    width: 120,
  },
  {
    title: '质量模板',
    dataIndex: 'qualityModal',
    width: 120,
  },
  {
    title: '质量规则',
    dataIndex: 'qualityRule',
    width: 120,
  },
  {
    title: '检查类型',
    dataIndex: 'checkType',
    width: 120,
  },
  {
    title: '执行结果',
    dataIndex: 'result',
    width: 120,
    sorter: true,
  },
  {
    title: '问题记录占比',
    dataIndex: 'ratio',
    width: 120,
  },
  {
    title: '质量通过率',
    dataIndex: 'passRate',
    width: 120,
  },
  {
    title: '数据整改',
    dataIndex: 'dataEdit',
    width: 120,
  },
];
export const modEditColumns: BasicColumn[] = [
  {
    title: '连接名称',
    dataIndex: 'name',
    width: 80,
  },
  {
    title: '连接类型',
    dataIndex: 'type',
    width: 80,
  },
  {
    title: '连接字符串',
    dataIndex: 'filed',
    width: 120,
  },
];
export const ruleSchema: FormSchema[] = [
  {
    field: 'type',
    label: '过滤类型',
    component: 'RadioGroup',
    colProps: { lg: 22 },
    componentProps: {
      options: [
        { label: '黑名单', value: '0' },
        { label: '白名单', value: '1' },
      ],
    },
    defaultValue: '0',
    required: true,
  },
  {
    field: 'baseRule',
    label: '库规则',
    component: 'InputTextArea',
    colProps: { lg: 22 },
    defaultValue: 'system|discover|tmp',
    required: true,
  },
  {
    field: 'tableRule',
    label: '表规则',
    component: 'InputTextArea',
    colProps: { lg: 22 },
    defaultValue:
      'tdt_,TDT_VIEW,baymax_tmp_,TDT_ROCK_VIEW_,TDT_ROCK_TABLE_,TDTTABLEEXTERNAL,TDTTABLE_PERSISTENT',
    required: true,
  },
  {
    field: 'rule',
    label: '规则检验',
    component: 'Input',
    colProps: { lg: 22 },
  },
];
export const detailHookColumns: BasicColumn[] = [
  {
    title: '实例地址',
    dataIndex: 'name',
    width: 120,
  },
  {
    title: '生产者分区ID',
    dataIndex: 'code',
    width: 120,
  },
  {
    title: '生成者注释',
    dataIndex: 'remark',
    width: 120,
  },
  {
    title: '实例状态',
    dataIndex: 'status',
    width: 120,
  },
];
export const refundSchema: DescItem[] = [
  {
    field: 'type',
    label: '认证类型',
  },
  {
    field: 'name',
    label: '当前消费组名称',
  },
  {
    field: 'code',
    label: '消费者分组ID',
  },
  {
    field: 'theme',
    label: '消费者主体',
  },
];
export const KafkaColumns: BasicColumn[] = [
  {
    title: 'Partition Number',
    dataIndex: 'PartitionNumber',
    width: 120,
  },
  {
    title: 'LastEndOffset',
    dataIndex: 'LastEndOffset',
    width: 120,
  },
  {
    title: 'CurrentOffset',
    dataIndex: 'CurrentOffset',
    width: 120,
  },
  {
    title: 'Lag',
    dataIndex: 'Lag',
    width: 120,
  },
];
